Package org.apache.commons.beanutils2

# Class ConversionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.apache.commons.beanutils2.ConversionException

All Implemented Interfaces:
  `Serializable`

public class ConversionException extends RuntimeException
A ConversionException indicates that a call to `Converter.convert()` has failed to complete successfully.

Since:
  1.3
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConversionException(String message)`
  Constructs a new exception with the specified message.
  `ConversionException(String message, Throwable cause)`
  Constructs a new exception with the specified message and root cause.
  `ConversionException(Throwable cause)`
  Constructs a new exception with the specified root cause.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ConversionException`
  `format(String format, Object... args)`
  Constructs a new instance with a message formatted using `String.format(String, Object...)`.

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ConversionException

    public ConversionException(String message)
    Constructs a new exception with the specified message.
    Parameters:
      `message` - The message describing this exception

  - ### ConversionException

    public ConversionException(String message, Throwable cause)
    Constructs a new exception with the specified message and root cause.
    Parameters:
      `message` - The message describing this exception
      `cause` - The root cause of this exception

  - ### ConversionException

    public ConversionException(Throwable cause)
    Constructs a new exception with the specified root cause.
    Parameters:
      `cause` - The root cause of this exception

- ## Method Details

  - ### format

    public static ConversionException format(String format, Object... args)
    Constructs a new instance with a message formatted using `String.format(String, Object...)`.
    Parameters:
      `format` - See `String.format(String, Object...)`.
      `args` - See `String.format(String, Object...)`.
    Returns:
      a new instance with a message formatted using `String.format(String, Object...)`.
    Since:
      2.0.0